MR-E-2 SDK

Public Member Functions | List of all members
MrE2ModuleSdk.Device.IAnglePid Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.IAnglePid:

## Public Member Functions
bool | IsGainScheduling (EAxis axis)
| Returns enabled/disabled flag of gain scheduling function. More...
void | SwitchGainScheduling (EAxis axis, bool enabled)
| Enables/disables gain scheduling function. More...
float | ReadPGain (EAxis axis)
| Returns proportional term. More...
void | WritePGain (EAxis axis, float pGain)
| Sets proportional term. More...
float | ReadIGain (EAxis axis)
| Returns integral term. More...
void | WriteIGain (EAxis axis, float iGain)
| Sets integral term. More...
float | ReadDGain (EAxis axis)
| Returns derivative term. More...
void | WriteDGain (EAxis axis, float dGain)
| Sets derivative term. More...
float | ReadMinimumOutput (EAxis axis)
| Returns minimum allowable output before clamping. More...
void | WriteMinimumOutput (EAxis axis, float minimumOutput)
| Sets minimum allowable output before clamping. More...
float | ReadMaximumOutput (EAxis axis)
| Returns maximum allowable output before clamping. More...
void | WriteMaximumOutput (EAxis axis, float maximumOutput)
| Sets maximum allowable output before clamping. More...
float | ReadMinimumIntegral (EAxis axis)
| Returns minimum allowable integral before clamping. More...
void | WriteMinimumIntegral (EAxis axis, float minimumIntegral)
| Sets minimum allowable integral before clamping. More...
float | ReadMaximumIntegral (EAxis axis)
| Returns maximum allowable integral before clamping. More...
void | WriteMaximumIntegral (EAxis axis, float maximumIntegral)
| Sets maximum allowable integral before clamping. More...
float | ReadDesiredSetPoint (EAxis axis)
| Returns internal desired optical feedback value of the PID. More...
float | ReadProportionalGainQuadraticTermMultiplier (EAxis axis)
| Returns multiplier of the quadratic term of the proportional gain scheduling function. More...
void | WriteProportionalGainQuadraticTermMultiplier (EAxis axis, float aP)
| Sets multiplier of the quadratic term of the proportional gain scheduling function. More...
float | ReadProportionalGainLinearTermMultiplier (EAxis axis)
| Returns multiplier of the linear term of the proportional gain scheduling function. More...
void | WriteProportionalGainLinearTermMultiplier (EAxis axis, float bP)
| Sets multiplier of the linear term of the proportional gain scheduling function. More...
float | ReadProportionalGainConstantTerm (EAxis axis)
| Returns constant term of the proportional gain scheduling function. More...
void | WriteProportionalGainConstantTerm (EAxis axis, float cP)
| Sets constant term of the proportional gain scheduling function. More...
float | ReadIntegralGainQuadraticTermMultiplier (EAxis axis)
| Returns multiplier of the quadratic term of the integral gain scheduling function. More...
void | WriteIntegralGainQuadraticTermMultiplier (EAxis axis, float aI)
| Sets multiplier of the quadratic term of the integral gain scheduling function. More...
float | ReadIntegralGainLinearTermMultiplier (EAxis axis)
| Returns multiplier of the linear term of the integral gain scheduling function. More...
void | WriteIntegralGainLinearTermMultiplier (EAxis axis, float bI)
| Sets multiplier of the linear term of the integral gain scheduling function. More...
float | ReadIntegralGainConstantTerm (EAxis axis)
| Returns constant term of the integral gain scheduling function. More...
void | WriteIntegralGainConstantTerm (EAxis axis, float cI)
| Sets constant term of the integral gain scheduling function. More...
float | ReadDerivativeGainQuadraticTermMultiplier (EAxis axis)
| Returns multiplier of the quadratic term of the derivative gain scheduling function. More...
void | WriteDerivativeGainQuadraticTermMultiplier (EAxis axis, float aD)
| Sets multiplier of the quadratic term of the derivative gain scheduling function. More...
float | ReadDerivativeGainLinearTermMultiplier (EAxis axis)
| Returns multiplier of the linear term of the derivative gain scheduling function. More...
void | WriteDerivativeGainLinearTermMultiplier (EAxis axis, float bD)
| Sets multiplier of the linear term of the derivative gain scheduling function. More...
float | ReadDerivativeGainConstantTerm (EAxis axis)
| Returns constant term of the derivative gain scheduling function. More...
void | WriteDerivativeGainConstantTerm (EAxis axis, float cD)
| Sets constant term of the derivative gain scheduling function. More...
GainSchedulingVariable | ReadGainSchedulingVariable (EAxis axis)
| Returns variable which is selected in the gain scheduling function. More...
void | WriteGainSchedulingVariable (EAxis axis, GainSchedulingVariable variable)
| Sets variable which is selected in the gain scheduling function. More...
bool | ReadDerivativeTermFilterEnabled (EAxis axis)
| Returns flag enabled/disabled a 2nd order low pass Butterworth filter acting on the derivative term. More...
void | SwitchDerivativeTermFilter (EAxis axis, bool enabled)
| Enables/disables a 2nd order low pass Butterworth filter acting on the derivative term. More...
float | ReadCutOffFrequency (EAxis axis)
| Returns cut-off frequency in Hz of the 2nd order low pass Butterworth filter acting on the derivative term. Range (0 - 5000). More...
void | WriteCutOffFrequency (EAxis axis, float frequency)
| Sets cut-off frequency in Hz of the 2nd order low pass Butterworth filter acting on the derivative term. Range (0 - 5000). More...

## Member Function Documentation

## ◆ IsGainScheduling()

bool MrE2ModuleSdk.Device.IAnglePid.IsGainScheduling | ( | EAxis | axis | ) |

Returns enabled/disabled flag of gain scheduling function.

Returns

## ◆ ReadCutOffFrequency()

float MrE2ModuleSdk.Device.IAnglePid.ReadCutOffFrequency | ( | EAxis | axis | ) |

Returns cut-off frequency in Hz of the 2nd order low pass Butterworth filter acting on the derivative term. Range (0 - 5000).

Returns

## ◆ ReadDerivativeGainConstantTerm()

float MrE2ModuleSdk.Device.IAnglePid.ReadDerivativeGainConstantTerm | ( | EAxis | axis | ) |

Returns constant term of the derivative gain scheduling function.

Returns

## ◆ ReadDerivativeGainLinearTermMultiplier()

float MrE2ModuleSdk.Device.IAnglePid.ReadDerivativeGainLinearTermMultiplier | ( | EAxis | axis | ) |

Returns multiplier of the linear term of the derivative gain scheduling function.

Returns

## ◆ ReadDerivativeGainQuadraticTermMultiplier()

float MrE2ModuleSdk.Device.IAnglePid.ReadDerivativeGainQuadraticTermMultiplier | ( | EAxis | axis | ) |

Returns multiplier of the quadratic term of the derivative gain scheduling function.

Returns

## ◆ ReadDerivativeTermFilterEnabled()

bool MrE2ModuleSdk.Device.IAnglePid.ReadDerivativeTermFilterEnabled | ( | EAxis | axis | ) |

Returns flag enabled/disabled a 2nd order low pass Butterworth filter acting on the derivative term.

Returns

## ◆ ReadDesiredSetPoint()

float MrE2ModuleSdk.Device.IAnglePid.ReadDesiredSetPoint | ( | EAxis | axis | ) |

Returns internal desired optical feedback value of the PID.

Returns

## ◆ ReadDGain()

float MrE2ModuleSdk.Device.IAnglePid.ReadDGain | ( | EAxis | axis | ) |

Returns derivative term.

Returns

## ◆ ReadGainSchedulingVariable()

GainSchedulingVariable MrE2ModuleSdk.Device.IAnglePid.ReadGainSchedulingVariable | ( | EAxis | axis | ) |

Returns variable which is selected in the gain scheduling function.

Returns

## ◆ ReadIGain()

float MrE2ModuleSdk.Device.IAnglePid.ReadIGain | ( | EAxis | axis | ) |

Returns integral term.

Returns

## ◆ ReadIntegralGainConstantTerm()

float MrE2ModuleSdk.Device.IAnglePid.ReadIntegralGainConstantTerm | ( | EAxis | axis | ) |

Returns constant term of the integral gain scheduling function.

Returns

## ◆ ReadIntegralGainLinearTermMultiplier()

float MrE2ModuleSdk.Device.IAnglePid.ReadIntegralGainLinearTermMultiplier | ( | EAxis | axis | ) |

Returns multiplier of the linear term of the integral gain scheduling function.

Returns

## ◆ ReadIntegralGainQuadraticTermMultiplier()

float MrE2ModuleSdk.Device.IAnglePid.ReadIntegralGainQuadraticTermMultiplier | ( | EAxis | axis | ) |

Returns multiplier of the quadratic term of the integral gain scheduling function.

Returns

## ◆ ReadMaximumIntegral()

float MrE2ModuleSdk.Device.IAnglePid.ReadMaximumIntegral | ( | EAxis | axis | ) |

Returns maximum allowable integral before clamping.

Returns

## ◆ ReadMaximumOutput()

float MrE2ModuleSdk.Device.IAnglePid.ReadMaximumOutput | ( | EAxis | axis | ) |

Returns maximum allowable output before clamping.

Returns

## ◆ ReadMinimumIntegral()

float MrE2ModuleSdk.Device.IAnglePid.ReadMinimumIntegral | ( | EAxis | axis | ) |

Returns minimum allowable integral before clamping.

Returns

## ◆ ReadMinimumOutput()

float MrE2ModuleSdk.Device.IAnglePid.ReadMinimumOutput | ( | EAxis | axis | ) |

Returns minimum allowable output before clamping.

Returns

## ◆ ReadPGain()

float MrE2ModuleSdk.Device.IAnglePid.ReadPGain | ( | EAxis | axis | ) |

Returns proportional term.

Returns

## ◆ ReadProportionalGainConstantTerm()

float MrE2ModuleSdk.Device.IAnglePid.ReadProportionalGainConstantTerm | ( | EAxis | axis | ) |

Returns constant term of the proportional gain scheduling function.

Returns

## ◆ ReadProportionalGainLinearTermMultiplier()

float MrE2ModuleSdk.Device.IAnglePid.ReadProportionalGainLinearTermMultiplier | ( | EAxis | axis | ) |

Returns multiplier of the linear term of the proportional gain scheduling function.

Returns

## ◆ ReadProportionalGainQuadraticTermMultiplier()

float MrE2ModuleSdk.Device.IAnglePid.ReadProportionalGainQuadraticTermMultiplier | ( | EAxis | axis | ) |

Returns multiplier of the quadratic term of the proportional gain scheduling function.

Returns

## ◆ SwitchDerivativeTermFilter()

void MrE2ModuleSdk.Device.IAnglePid.SwitchDerivativeTermFilter | ( | EAxis | axis,
|  | bool | enabled
| ) |  |

Enables/disables a 2nd order low pass Butterworth filter acting on the derivative term.

Returns

## ◆ SwitchGainScheduling()

void MrE2ModuleSdk.Device.IAnglePid.SwitchGainScheduling | ( | EAxis | axis,
|  | bool | enabled
| ) |  |

Enables/disables gain scheduling function.

Returns

## ◆ WriteCutOffFrequency()

void MrE2ModuleSdk.Device.IAnglePid.WriteCutOffFrequency | ( | EAxis | axis,
|  | float | frequency
| ) |  |

Sets cut-off frequency in Hz of the 2nd order low pass Butterworth filter acting on the derivative term. Range (0 - 5000).

Returns

## ◆ WriteDerivativeGainConstantTerm()

void MrE2ModuleSdk.Device.IAnglePid.WriteDerivativeGainConstantTerm | ( | EAxis | axis,
|  | float | cD
| ) |  |

Sets constant term of the derivative gain scheduling function.

Returns

## ◆ WriteDerivativeGainLinearTermMultiplier()

void MrE2ModuleSdk.Device.IAnglePid.WriteDerivativeGainLinearTermMultiplier | ( | EAxis | axis,
|  | float | bD
| ) |  |

Sets multiplier of the linear term of the derivative gain scheduling function.

Returns

## ◆ WriteDerivativeGainQuadraticTermMultiplier()

void MrE2ModuleSdk.Device.IAnglePid.WriteDerivativeGainQuadraticTermMultiplier | ( | EAxis | axis,
|  | float | aD
| ) |  |

Sets multiplier of the quadratic term of the derivative gain scheduling function.

Returns

## ◆ WriteDGain()

void MrE2ModuleSdk.Device.IAnglePid.WriteDGain | ( | EAxis | axis,
|  | float | dGain
| ) |  |

Sets derivative term.

Returns

## ◆ WriteGainSchedulingVariable()

void MrE2ModuleSdk.Device.IAnglePid.WriteGainSchedulingVariable | ( | EAxis | axis,
|  | GainSchedulingVariable | variable
| ) |  |

Sets variable which is selected in the gain scheduling function.

Returns

## ◆ WriteIGain()

void MrE2ModuleSdk.Device.IAnglePid.WriteIGain | ( | EAxis | axis,
|  | float | iGain
| ) |  |

Sets integral term.

Returns

## ◆ WriteIntegralGainConstantTerm()

void MrE2ModuleSdk.Device.IAnglePid.WriteIntegralGainConstantTerm | ( | EAxis | axis,
|  | float | cI
| ) |  |

Sets constant term of the integral gain scheduling function.

Returns

## ◆ WriteIntegralGainLinearTermMultiplier()

void MrE2ModuleSdk.Device.IAnglePid.WriteIntegralGainLinearTermMultiplier | ( | EAxis | axis,
|  | float | bI
| ) |  |

Sets multiplier of the linear term of the integral gain scheduling function.

Returns

## ◆ WriteIntegralGainQuadraticTermMultiplier()

void MrE2ModuleSdk.Device.IAnglePid.WriteIntegralGainQuadraticTermMultiplier | ( | EAxis | axis,
|  | float | aI
| ) |  |

Sets multiplier of the quadratic term of the integral gain scheduling function.

Returns

## ◆ WriteMaximumIntegral()

void MrE2ModuleSdk.Device.IAnglePid.WriteMaximumIntegral | ( | EAxis | axis,
|  | float | maximumIntegral
| ) |  |

Sets maximum allowable integral before clamping.

Returns

## ◆ WriteMaximumOutput()

void MrE2ModuleSdk.Device.IAnglePid.WriteMaximumOutput | ( | EAxis | axis,
|  | float | maximumOutput
| ) |  |

Sets maximum allowable output before clamping.

Returns

## ◆ WriteMinimumIntegral()

void MrE2ModuleSdk.Device.IAnglePid.WriteMinimumIntegral | ( | EAxis | axis,
|  | float | minimumIntegral
| ) |  |

Sets minimum allowable integral before clamping.

Returns

## ◆ WriteMinimumOutput()

void MrE2ModuleSdk.Device.IAnglePid.WriteMinimumOutput | ( | EAxis | axis,
|  | float | minimumOutput
| ) |  |

Sets minimum allowable output before clamping.

Returns

## ◆ WritePGain()

void MrE2ModuleSdk.Device.IAnglePid.WritePGain | ( | EAxis | axis,
|  | float | pGain
| ) |  |

Sets proportional term.

Returns

## ◆ WriteProportionalGainConstantTerm()

void MrE2ModuleSdk.Device.IAnglePid.WriteProportionalGainConstantTerm | ( | EAxis | axis,
|  | float | cP
| ) |  |

Sets constant term of the proportional gain scheduling function.

Returns

## ◆ WriteProportionalGainLinearTermMultiplier()

void MrE2ModuleSdk.Device.IAnglePid.WriteProportionalGainLinearTermMultiplier | ( | EAxis | axis,
|  | float | bP
| ) |  |

Sets multiplier of the linear term of the proportional gain scheduling function.

Returns

## ◆ WriteProportionalGainQuadraticTermMultiplier()

void MrE2ModuleSdk.Device.IAnglePid.WriteProportionalGainQuadraticTermMultiplier | ( | EAxis | axis,
|  | float | aP
| ) |  |

Sets multiplier of the quadratic term of the proportional gain scheduling function.

Returns

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs